### Copenhagen Truck Wash API Help

# Update reusable self-serve machine type

This endpoint documentation is generated directly from `openapi.yaml`.

## Endpoint

PUT /department/selfserve/machine-types

## Operation

Operation ID: `updateSelfserveMachineType`

Update reusable self-serve machine type

## Authentication

Security requirements:

Scheme | Scopes
--- | ---
BearerAuth | -

## Parameters

Name | In | Required | Type | Description
--- | --- | --- | --- | ---
id | query | yes | integer |

## Request Body

Required: no.

Content type: `application/json`

{ "properties": { "description": { "nullable": true, "type": "string" }, "name": { "type": "string" } }, "type": "object" }

## Responses

Status | Description | Content Types
--- | --- | ---
200 | Successfully updated machine type | application/json
404 |  |

Schema for response `200` (`application/json`):

{ "$ref": "#/components/schemas/SelfserveMachineType" }
17 March 2026